/* 
 * x-tlk Toolkit - Copyright (c) Holger Pfaff
 * http://pfaff.dnsalias.net
 *
 * This software maybe used for any purpose provided the
 * above copyright notice is retained. It is supplied as is.
 * No warranty expressed or implied - Use at your own risk.
 */

#ifndef _But_h
#define _But_h

#ifdef _But_c

#define BUT_ARROW_WIDTH  4
#define BUT_ARROW_HEIGHT 8

static char But_arrow_bits[] = {0x01, 0x03, 0x07, 0x0f, 0x0f, 0x07, 0x03, 0x01}; 

Pixmap   But_arrow;
int      But_xbutton_pressed = FALSE;
But      But_active          = NULL;

#else

extern Pixmap   But_arrow;
extern int      But_xbutton_pressed;
extern But      But_active;

#endif /*But_c*/

But   But_create();
void  But_init();
void  But_draw();
void  But_select();
void  But_busy();
void  But_label();
void  But_3d();

#endif /* _But_h */
