/* 
 * x-tlk Toolkit - Copyright (c) Holger Pfaff
 * http://pfaff.dnsalias.net
 *
 * This software maybe used for any purpose provided the
 * above copyright notice is retained. It is supplied as is.
 * No warranty expressed or implied - Use at your own risk.
 */

#ifndef _Scb_h
#define _Scb_h

#ifdef _Scb_c

int Scb_s2h;
int Scb_s2y1;
int Scb_s2y2;

#else

extern int Scb_s2h;
extern int Scb_s2y1;
extern int Scb_s2y2;

#endif /*_Scb_c*/

Scb  Scb_create();
void Scb_dsp();          /* redisplay whole scb */
void Scb_but();          /* notify proc for up/dn buttons */
void Scb_set();          /* Set new values for nel, vel and pos */
void Scb_calc();         /* recalculate the position and size of bar */
void Scb_bar();          /* draw the bar only */
void Scb_button_press(); /* notify proc for mouse events */

#endif /* _Scb_h */
