/* 
 * x-tlk Toolkit - Copyright (c) Holger Pfaff
 * http://pfaff.dnsalias.net
 *
 * This software maybe used for any purpose provided the
 * above copyright notice is retained. It is supplied as is.
 * No warranty expressed or implied - Use at your own risk.
 */

#ifndef _Txt_h
#define _Txt_h

#ifdef _Txt_c

#define   TXT_CURSOR_WIDTH   2
#define   TXT_CURSOR_HEIGHT  5

Txt   Txts;
Txt   Txt_next;
Txt   Txt_active   = NULL;
Txt   Txt_prev     = NULL;
Txt   Txt_sel_txt  = NULL;
Txt   Txt_sel_lst  = NULL;
int   Txt_edited   = FALSE;
int   Txt_shifted  = FALSE;
int   Txt_noedits  = FALSE;
int   Txt_clear    = FALSE;
int   Txt_color    = FALSE;
int   Txt_position = 0;
int   Txt_sel_pos  = 0;
int   Txt_sel_len  = 0;
int   Txt_sel_sel  = 0;
Time  Txt_sel_tme  = 0;

void (*Txt_misc_proc)()   = NULL;
void (*Txt_edited_proc)() = NULL;

Pixmap     Txt_cursor = 0;
Txt_mode_t Txt_mode  = TXT_MODE_INS;

#else

extern Txt   Txts;
extern Txt   Txt_next;
extern Txt   Txt_active;
extern Txt   Txt_prev;
extern Txt   Txt_sel_txt;
extern Txt   Txt_sel_lst;
extern int   Txt_edited;
extern int   Txt_shifted;
extern int   Txt_noedits;
extern int   Txt_clear;
extern int   Txt_color;
extern int   Txt_position;
extern int   Txt_sel_pos;
extern int   Txt_sel_len;
extern int   Txt_sel_sel;
extern Time  Txt_sel_tme;

extern void (*Txt_misc_proc)();
extern void (*Txt_edited_proc)();

extern Txt_mode_t Txt_mode;

#endif /*_Tlk_c*/

void   Txt_init();
void   Txt_button_press();
void   Txt_key_press();

void   Txt_set_position();
void   Txt_set_cursor();
void   Txt_set_txt();
void   Txt_unset_cursor();
void   Txt_mnu_proc();

int   Txt_is_num();
int   Txt_is_alpha();

#endif /* _Txt_h */
